@ECHO OFF
ECHO 
ECHO ******************************************************************
ECHO *  OS/2 2.1x Display Driver Installation for V7-MIRAGE           *
ECHO ******************************************************************
IF .%1. == ..                     GOTO USAGE
IF .%2. == ..                     GOTO USAGE
IF NOT EXIST %2\OS2\INSTALL       GOTO USAGE
IF NOT EXIST %1\DOSTOOLS          GOTO DAMAGED
IF NOT EXIST %1\BIGBS38.DL_       GOTO DAMAGED
IF NOT EXIST %1\BVHSVGA.DL_       GOTO DAMAGED
IF NOT EXIST %1\DDICO.EX_         GOTO DAMAGED
rem IF NOT EXIST %1\DISPLAY.DL_       GOTO DAMAGED
IF NOT EXIST %1\DSPINSTL.IC_      GOTO DAMAGED
rem IF NOT EXIST %1\PMVIOP.DL_        GOTO DAMAGED
IF NOT EXIST %1\PSV7MIR.DSC       GOTO DAMAGED
IF NOT EXIST %1\S3PRF             GOTO DAMAGED
IF NOT EXIST %1\SCREEN.SY_        GOTO DAMAGED
IF NOT EXIST %1\SYSLEVEL.VI_      GOTO DAMAGED
IF NOT EXIST %1\TESTVER           GOTO DAMAGED
IF NOT EXIST %1\TOOLS             GOTO DAMAGED
IF NOT EXIST %1\V7.DSP            GOTO DAMAGED
IF NOT EXIST %1\V7ACTION.DL_      GOTO DAMAGED
IF NOT EXIST %1\V7UTIL.EX_        GOTO DAMAGED
IF NOT EXIST %1\VSVGA.SY_         GOTO DAMAGED
GOTO DISKOK
:DAMAGED
ECHO 
ECHO ******************************************************************
ECHO * This diskette does not contain all necessary files.            *
ECHO ******************************************************************
ECHO DAMAGED DISKETTE >> %2\OS2\INSTALL\DISPLAY.LOG
GOTO END
:DISKOK
IF NOT .%3. == ..                 GOTO SKIP1
ECHO.
ECHO ******************************************************************
ECHO *  Please, read the README.ENG file on the diskette first.       *
ECHO *  Bitte lesen Sie zuerst die Datei README.GER auf der Diskette. *
ECHO ******************************************************************
:SKIP1
%2\OS2\UNPACK.EXE  %1\TESTVER  %2\OS2\INSTALL             >NUL
%2\OS2\INSTALL\TESTVER.EXE %2
IF ERRORLEVEL 1                   GOTO END
DEL %2\OS2\INSTALL\TESTVER.EXE 1                          >NUL 2>NUL
IF NOT .%3. == ..                 GOTO SKIP
ECHO Press any key when ready or Ctrl-C to quit. . .
PAUSE                                                     >NUL
:SKIP
%2\OS2\UNPACK.EXE %1\DOSTOOLS %2\OS2\INSTALL              >NUL
%2\OS2\UNPACK.EXE %1\V7SETUP.212 %2\OS2\INSTALL           >NUL
COPY %1\V7INST1 %2\OS2\INSTALL\V7INST1.CMD                >NUL
CALL %2\OS2\INSTALL\V7INST1.CMD %1 %2 %3
GOTO END
:USAGE
ECHO 
ECHO Usage: V7INST [INSTALLDRIVE:] [BOOTDRIVE:]
:END
